# Forwards

This API allows you to manage forwarding of incoming emails.

## Get a single forward rule by ID

 - [GET /v3/forwards/{id}](https://documentation.mailgun.com/docs/mailgun/api-reference/send/mailgun/forwards/get-v3-forwards--id-.md): Retrieve a forward rule by ID

## Update a single forward rule by ID

 - [PUT /v3/forwards/{id}](https://documentation.mailgun.com/docs/mailgun/api-reference/send/mailgun/forwards/put-v3-forwards--id-.md): All parameters are optional, only the provided fields will be updated

## Delete a single forward rule by ID

 - [DELETE /v3/forwards/{id}](https://documentation.mailgun.com/docs/mailgun/api-reference/send/mailgun/forwards/delete-v3-forwards--id-.md): By default this call is scoped to the entire account. You can scope the request by providing the 'domain.name' query parameter. If the 'domain.name' parameter is provided and the requested rule is not defined for that domain the call will return 404 Not Found

## List forward rules

 - [GET /v3/forwards](https://documentation.mailgun.com/docs/mailgun/api-reference/send/mailgun/forwards/get-v3-forwards.md): By default this endpoint lists all rules defined on the account. You can scope the list of rules by domain by providing the 'domain.name' query parameter.

## Create a forward rule

 - [POST /v3/forwards](https://documentation.mailgun.com/docs/mailgun/api-reference/send/mailgun/forwards/post-v3-forwards.md): ### Examples
You can add multiple email recipients by including the 'forward.recipient' parameter multiple times up to a maximum of 5.

$ curl -X POST https://api.mailgun.net/v3/forwards
  -F match='email@mg.example.com'
  -F forward.recipient=destination1@gmail.com
  -F forward.recipient=destination2@gmail.com

The match parameter can contain a wild card expression

$ curl -X POST https://api.mailgun.net/v3/forwards
  -F match='match*@mg.example.com'
  -F forward.recipient=catchall@gmail.com

Rules only support  or literal characters where  matches any sequence of characters.  So a.*@example.com matches email addresses that start with a. not email addresses that start with a like a regex match would.

